plugins {
    id 'com.android.library'
    id 'kotlin-android'
}

android {

    compileSdkVersion COMPILE_SDK_VERSION
    buildToolsVersion BUILD_TOOLS_VERSION

    defaultConfig {
        minSdkVersion MIN_SDK_VERSION
        targetSdkVersion TARGET_SDK_VERSION

        ndk {
            // 设置支持的SO库架构
            abiFilters 'armeabi-v7a', 'arm64-v8a', 'x86', 'x86_64'
        }
    }


    buildTypes {
        release {
            minifyEnabled MINIFY_ENABLE
            proguardFiles 'proguard-rules.pro'
        }
    }

    buildFeatures {
        buildConfig = false
    }

    lintOptions {
        abortOnError false
    }

    repositories {
        flatDir {
            dirs '../libs'
        }
    }

    dexOptions {
        preDexLibraries = false
    }

    compileOptions {
        kotlinOptions.freeCompilerArgs += ['-module-name', "cn.yyxx.eyaungame.base"]
    }
}

dependencies {
//    api files('../libs/dolin_zap_1.0.0.jar')
    api files('../libs/yyxx_support_1.0.1.jar')
    implementation 'androidx.core:core-ktx:1.6.0'
    implementation 'io.github.suyghur.dolin:zap:1.0.0'
}

apply from: 'buildJar.gradle'